// #autoload
// #name = LobbyTeamChat

package LobbyTeamChatPkg
{
	function LobbyGui::onWake(%this)
	{
		parent::onWake(%this);
        if ( isObject( lobbyMap ) )
        {
            lobbyMap.pop();
            lobbyMap.delete();
        }
        new ActionMap( lobbyMap );
        %bind = moveMap.getBinding(ToggleMessageHud);
        lobbyMap.bind( getField( %bind, 0 ), getField( %bind, 1 ), ToggleLobbyChat );
		%bind = moveMap.getBinding(TeamMessageHud);
		lobbyMap.bind(getField(%bind, 0), getField(%bind, 1), ToggleLobbyTeamChat);
        lobbyMap.push();
	}

    function LobbyGui::onSleep( %this )
    {
		parent::onSleep(%this);
        lobbyMap.pop();
        lobbyMap.delete();
    }

	function ToggleLobbyChat()
	{
		LobbyChatEnter.teamChat = false;
        LobbyChatEnter.makeFirstResponder(true);
   	}

	function ToggleLobbyTeamChat()
	{
		LobbyChatEnter.teamChat = true;
        LobbyChatEnter.makeFirstResponder(true);
	}

    function LobbyChatEnter::onEscape( %this )
    {
        %this.setValue( "" );
        %this.makeFirstResponder(false);
    }

	function LobbyChatEnter::send(%this)
	{
		%text = %this.getValue();
		if (%text !$= "")
		{
			if (%this.teamChat)	commandToServer('teamMessageSent', %text);
			else commandToServer('messageSent', %text);
		}
		%this.setValue("");
        %this.makeFirstResponder(false);
	}
};
activatePackage(LobbyTeamChatPkg);